## org.h2.mvstore
Class DataUtils.MapEntry<K,V>

    java.lang.Object
      org.h2.mvstore.DataUtils.MapEntry<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  java.util.Map.Entry<K,V>

Enclosing class:
  DataUtils

    public static class DataUtils.MapEntry<K,V>

extends java.lang.Object
implements java.util.Map.Entry<K,V>

An entry of a map.

Constructor Summary
`DataUtils.MapEntry(K key, V value)`

Method Summary
`K` `getKey()`
`V` `getValue()`
`V` `setValue(V value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Constructor Detail

### DataUtils.MapEntry

    public DataUtils.MapEntry(K key,
                              V value)

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<K,V>`

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<K,V>`